Name: hpijs
Summary: HP Printer Drivers
Version: 1.6
Release: 2
Requires: ghostscript
Group: Applications/Publishing
License: BSD
URL: http://hpinkjet.sourceforge.net/

# Foomatic data for hpijs 1.5 is needed
Conflicts: foomatic < 3.0.0-14

Source0: http://prdownloads.sf.net/hpinkjet/hpijs-%{version}.tar.gz

Patch0: hpijs-compile.patch
Patch1: hpijs-flags.patch
Patch2: hpijs-gcc34.patch

BuildRoot: %{_tmppath}/%{name}-%{gs_ver}-root

%description
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C and PhotoSmart 100 series.

%prep
%setup -q
#%patch0 -p1 -b .compile
%patch1 -p1 -b .hpijsflags
#%patch2 -p1 -b .gcc34

%build
%configure --disable-cups-install --disable-foomatic-install \
	RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/hpijs
%{_docdir}/hpijs-%{version}

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Tim Waugh <twaugh@redhat.com> 1.6-1
- 1.6.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  5 2004 Tim Waugh <twaugh@redhat.com> 1.5-6
- Fixed compilation with GCC 3.4.

* Mon Jan 12 2004 Tim Waugh <twaugh@redhat.com> 1.5-5
- Split hpijs into separate source package.

